load aero_mod
load aero_reg
Ts=5;

puls=[0.01:0.0001:pi/Ts]; 
AS=conv(A,S);
BR=conv(B,R);
AR=conv(A,R);
P=AS+BR;
Syp=filt(AS,P,Ts);
[mag,phase]=bode(Syp,puls);
mag=mag(:);


z=exp(i*2*puls);
sys=filt(1,[1 -1],Ts);
[mag1,phase]=bode(sys,puls);
[mag1,phase]=bode(sys,puls);
mag1a=1-mag1;
mag1b=1+mag1;
puls_norm=puls*Ts/(2*pi);
index=find(mag1a>0);
mag1a=mag1a(:);
mag1b=mag1b(:);
plot(puls_norm,20*log10(mag),'K','linewidth',2);
hold on

maximum=6*ones(length(puls),1);

delmarg_idx=find(maximum>=20*log10(mag1b));
modmarg_idx=find(maximum<=20*log10(mag1b));
plot(puls_norm(modmarg_idx),maximum(modmarg_idx),'k-.','linewidth',2)
plot(puls_norm(delmarg_idx),20*log10(mag1b(delmarg_idx)),'k--','linewidth',2)
plot(puls_norm(index),20*log10(mag1a(index)),'k--','linewidth',2)

title('Air Heater: Syp Magnitude Frequency Response','FontSize',12,'FontWeight','Bold');
xlabel('Frequency (f/f_{s})','FontSize',12,'FontWeight','Bold');
ylabel('Magnitude (dB)','FontSize',12,'FontWeight','Bold');axis([0 0.5 -25 10])
legend('S_{yp}','Template for Modulus margin','Template for Delay margin = T_{s}',4)
grid on






