load rejtr22

ref=M(:,1);
u=M(:,2);
y=M(:,3);
time=t;


subplot(2,1,1)

plot(t,y,'k','linewidth',2)
hold on
plot(t,ref,'k','linewidth',1)

title('Air Heater: Output','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 5 s)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
legend('Spec. : {\omega_{0}} = 0.226 rad/sec, {\zeta} = 0.9',4)
axis([80 300 3.2 3.8])
grid on

subplot(2,1,2)
plot(time,u,'k','linewidth',2);
hold on
plot([80 99 100 100 101 200 199 200 200 201 300],[5 5 5 7 7 7 7 7 5 5 5],'k--','linewidth',2);
title('Air Heater: Control Signal','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 5 s)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
axis([80 300 4 8])
legend('Control Signal','Disturbance',1)
grid on







