load DC_pos_mod
load DC_pos_reg1
Ts=0.12;

puls=[0.01:0.01:pi/Ts]; 
AS=conv(A,S);
BR=conv(B,R);
AR=conv(A,R);
P=AS+BR;
Syp=filt(AS,P,Ts);
[mag,phase]=bode(Syp,puls);
mag=mag(:);

load DC_pos_reg2

AS=conv(A,S);
BR=conv(B,R);
AR=conv(A,R);
P=AS+BR;
Syp=filt(AS,P,Ts);
[mag2,phase]=bode(Syp,puls);
mag2=mag2(:);

load DC_pos_reg3

AS=conv(A,S);
BR=conv(B,R);
AR=conv(A,R);
P=AS+BR;
Syp=filt(AS,P,Ts);
[mag3,phase]=bode(Syp,puls);
mag3=mag3(:);


z=exp(i*2*puls);
sys=filt(1,[1 -1],Ts);
[mag1,phase]=bode(sys,puls);
[mag1,phase]=bode(sys,puls);
mag1a=1-mag1;
mag1b=1+mag1;
puls_norm=puls*Ts/(2*pi);
index=find(mag1a>0);
mag1a=mag1a(:);
mag1b=mag1b(:);
plot(puls_norm,20*log10(mag),'K','linewidth',1);
hold on
plot(puls_norm,20*log10(mag2),'K:','linewidth',2);
plot(puls_norm,20*log10(mag3),'K','linewidth',2);

maximum=6*ones(length(puls),1);

delmarg_idx=find(maximum>=20*log10(mag1b));
modmarg_idx=find(maximum<=20*log10(mag1b));
plot(puls_norm(modmarg_idx),maximum(modmarg_idx),'k-.','linewidth',2)
plot(puls_norm(delmarg_idx),20*log10(mag1b(delmarg_idx)),'k--','linewidth',2)
plot(puls_norm(index),20*log10(mag1a(index)),'k--','linewidth',2)


title('DC Motor Position Loop: Syp Magnitude Frequency Responses','FontSize',12,'FontWeight','Bold');
xlabel('Frequency (f/f_{s})','FontSize',12,'FontWeight','Bold');
ylabel('Magnitude (dB)','FontSize',12,'FontWeight','Bold');
axis([0 0.5 -15 10])
legend('H_{R} = 1','H_{R} = 1 + q^{-1}','H_{R} = 1 + q^{-1}, 3 aux. poles in {\alpha} = 0.1','Template for Modulus margin','Template for Delay margin = T_{s}',4)
grid on






