load DC_pos_mod
load DC_pos_reg1
Ts=0.12;

puls=[0.01:0.01:pi/Ts]; 
AS=conv(A,S);
BR=conv(B,R);
AR=conv(A,R);
P=AS+BR;
Sup=filt(AR,P,Ts);
[mag,phase]=bode(Sup,puls);
mag=mag(:);

load DC_pos_reg2

AS=conv(A,S);
BR=conv(B,R);
AR=conv(A,R);
P=AS+BR;
Sup=filt(AR,P,Ts);
[mag2,phase]=bode(Sup,puls);
mag2=mag2(:);

load DC_pos_reg3

AS=conv(A,S);
BR=conv(B,R);
AR=conv(A,R);
P=AS+BR;
Sup=filt(AR,P,Ts);
[mag3,phase]=bode(Sup,puls);
mag3=mag3(:);


plot(puls_norm,20*log10(mag),'K','linewidth',2);
hold on
plot(puls_norm,20*log10(mag2),'K:','linewidth',2);
plot(puls_norm,20*log10(mag3),'K-.','linewidth',2);

title('DC Motor Position Loop: Sup Magnitude Frequency Responses','FontSize',12,'FontWeight','Bold');
xlabel('Frequency (f/f_{s})','FontSize',12,'FontWeight','Bold');
ylabel('Magnitude (dB)','FontSize',12,'FontWeight','Bold');
axis([0 0.5 -50 20])
legend('H_{R} = 1','H_{R} = 1 + q^{-1}','H_{R} = 1 + q^{-1}, 3 aux. poles in {\alpha} = 0.1',0)
grid on






