load DC_pos_mod
load DC_pos_reg3
Ts=0.12;

step_ref_time=10*Ts;
step_dist_time=40*Ts;
test_length=80*Ts;

[tt,xx,yy]=sim('CLscheme');
time=y.time;yout=y.signals.values;uout=u.signals.values;step_refout=step_ref.signals.values;
time2=[time time+Ts]';
time2=time2(:);
yout=[yout yout]';
yout=yout(:);
subplot(2,1,1)
uout=[uout uout]';
uout=uout(:);

plot(time2,yout,'k','linewidth',2);
hold on;
step_refout=[step_refout step_refout]';
step_refout=step_refout(:);
plot(time2,step_refout,'k');
title('DC Motor: Output','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 120 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
legend('Position','Reference',4)

axis([0 test_length 0 1.2])
grid on
subplot(2,1,2)
plot(time2,uout,'k','linewidth',2);
title('DC Motor: Control Signal (Speed Reference)','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 120 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
axis([0 test_length -1.8 0.25])
grid on




