load fig_8_32_data

Ts1=0.120;
Ts2=0.015;
index_pos=[60:160];
index_speed=[500:1300];

refpos=data(index_pos,6);
refpos=[refpos refpos]';
refpos=refpos(:);

time_pos=data(index_pos,5);
time_pos=[time_pos time_pos+Ts1]';
time_pos=time_pos(:);

ypos=data(index_pos,7);
ypos=[ypos ypos]';
ypos=ypos(:);

upos=data(index_pos,8);
upos=[upos upos]';
upos=upos(:);

figure,subplot(2,1,1)
plot(time_pos,refpos,'k','linewidth',1);
hold on
plot(time_pos,ypos,'k:','linewidth',2);
plot([0 100],[0 0],'k');
%axis([time_pos(1) time_pos(end) -0.25 2.25])
axis([8 19 -0.25 2.25])
title('DC Motor: Position Loop','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 120 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
legend('position reference','position measure',0)
text(8.5,2,'a)','FontSize',12,'FontWeight','Bold');

% grid on
subplot(2,1,2)
plot(time_pos,upos,'k','linewidth',2);
hold on
plot([0 100],[0 0],'k');
%title('Position controller output = speed reference','FontSize',10,'FontWeight','Bold');
title('DC Motor: Position Loop Control Signal','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 120 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
%axis([time_pos(1) time_pos(end) -3.5 3.5])
axis([8 19 -3.5 3.5])
legend('position controller output = speed reference',0)
text(8.5,2,'b)','FontSize',12,'FontWeight','Bold');

refspeed=data(index_speed,2);
refspeed=[refspeed refspeed]';
refspeed=refspeed(:);

time_speed=data(index_speed,1);
time_speed=[time_speed time_speed+Ts2]';
time_speed=time_speed(:);

yspeed=data(index_speed,3);
yspeed=[yspeed yspeed]';
yspeed=yspeed(:);

uspeed=data(index_speed,4);
uspeed=[uspeed uspeed]';
uspeed=uspeed(:);

figure,subplot(2,1,1)
plot(time_speed,refspeed,'k','linewidth',1);
hold on
plot(time_speed,yspeed,'k:','linewidth',2);
plot([0 100],[0 0],'k');
%axis([time_speed(1) time_speed(end) -3.5 3.5])
axis([8 19 -3.5 3.5])
title('DC Motor: Speed Loop','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 15 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');legend('speed reference','speed measure',0)
text(8.5,2,'c)','FontSize',12,'FontWeight','Bold');

subplot(2,1,2)
plot(time_speed,uspeed,'k','linewidth',2);
hold on
plot([0 100],[0 0],'k');
title('DC Motor: Speed loop Control Signal','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 15 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
%axis([time_speed(1) time_speed(end) -3.5 3.5])
axis([8 19 -3.5 3.5])
legend('speed controller output',0)
text(8.5,2,'d)','FontSize',12,'FontWeight','Bold');