load flextransm_mod
load flex_reg1
Ts=0.05;

puls=[0.01:0.01:pi/Ts]; 
AS=conv(A,S);
BR=conv(B,R);
AR=conv(A,R);
P=AS+BR;
Sup=filt(AR,P,Ts);
[mag,phase]=bode(Sup,puls);
mag=mag(:);

load flex_reg2

AS=conv(A,S);
BR=conv(B,R);
AR=conv(A,R);
P=AS+BR;
Sup=filt(AR,P,Ts);
[mag2,phase]=bode(Sup,puls);
mag2=mag2(:);

load flex_reg3

AS=conv(A,S);
BR=conv(B,R);
AR=conv(A,R);
P=AS+BR;
Sup=filt(AR,P,Ts);
[mag3,phase]=bode(Sup,puls);
mag3=mag3(:);


z=exp(i*2*puls);
sys=filt(1,[1 -1],Ts);
[mag1,phase]=bode(sys,puls);
[mag1,phase]=bode(sys,puls);
mag1a=1-mag1;
mag1b=1+mag1;
puls_norm=puls*Ts/(2*pi);
index=find(mag1a>0);
mag1a=mag1a(:);
mag1b=mag1b(:);
plot(puls_norm,20*log10(mag),'K','linewidth',1);
hold on
plot(puls_norm,20*log10(mag2),'K:','linewidth',2);
plot(puls_norm,20*log10(mag3),'K','linewidth',2);
plot([0 0.5],[0 0],'K-.','linewidth',2);

title('Flexible Transmission: Sup Magnitude Frequency Responses','FontSize',12,'FontWeight','Bold');
xlabel('Frequency (f/f_{s})','FontSize',12,'FontWeight','Bold');
ylabel('Magnitude (dB)','FontSize',12,'FontWeight','Bold');
axis([0 0.5 -30 20])
legend('H_{R} = 1','H_{R} = 1, 4 aux. poles in {\alpha} = 0.2','H_{R} = 1 + q^{-1}, 4 aux. poles in {\alpha} = 0.2',2)
grid on






