N=1024;

w=1:N/2;
z=exp(-i*2*pi*w/N);

A = [1 -2.104942  1.048514  0.338362  0.460008 -1.514238  0.798785];
B = [0 0.006402   0.014594  -0.069755 0.044056 0.038248 -0.007056];

num2=polyval(B,z);
den2=polyval(A,z);
mag2=abs(num2)./abs(den2);
mag2=20*log10(mag2);

w=(w/N);

plot(w,mag2,'k','linewidth',2);
title('Flexible Robot Arm : Magnitude Bode Diagram','FontSize',12,'FontWeight','Bold')
set(gca,'XTick',[0.05 0.1 0.15 0.2 0.25 0.30 0.35 0.40 0.45 0.5])
set(gca,'XTickLabel',{'0.05', '0.10', '0.15', '0.20', '0.25', '0.30', '0.35', '0.40','0.45', '0.5'})
ylabel('Magnitude (dB)','FontSize',12,'FontWeight','Bold');
xlabel('Frequency (f/f_{s})','FontSize',12,'FontWeight','Bold');
grid on

