clear all
close all
clc
d=7;
B=0.8;
B=[zeros(1,d+1) B];
A=[1 -0.2];
Ts=12;

sys=filt(B,A,Ts);

P=poly([0.2 0.3]);

Paux=1;
for i=1:7
    Paux=conv(Paux,[1 0.1]);
end

P2=conv(P,Paux);

[Rp,Sp,nrp,nsp]=bezoutd(A,B,[1 -1],1,P);

R=Rp;
S=conv([1 -1],Sp);
sysOL=filt(conv(B,R),conv(A,S),Ts);
[rOL,iOL]=nyquist(sysOL);
%subplot(2,1,1)
plot(rOL(:),iOL(:),'k','linewidth',2);
hold on
plot([-2 7],[0 0],'k');
plot([0 0],[-3.75 3.75],'k');
%plot(-1,0,'ko','linewidth',2)
t = 0:2*pi/100:2*pi;
unitcircle = line('XData',sin(t),'YData',cos(t),'LineStyle',':','Tag','CSTgridLines','HitTest','off','HandleVisibility','off','HelpTopicKey','isodampinggrid','linewidth',2);
title('Hot Dip Galvanizing : Nyquist Plot','FontSize',12,'FontWeight','Bold');
xlabel('Real Axis','FontSize',12,'FontWeight','Bold');
ylabel('Imag Axis','FontSize',12,'FontWeight','Bold');
text(-1.65,0.2,'(-1,j0)','FontSize',12,'FontWeight','Bold');
text(-3,0,'a)','FontSize',12,'FontWeight','Bold');
text(1,-2,'Closed Loop Poles : {\alpha}_{1} = 0.2, {\alpha}_{2} = 0.3','FontSize',12,'FontWeight','Bold');
plot(-1,0,'k.','linewidth',20)

text(2.9,2.4,'Modulus margin: 0.511','FontSize',12,'FontWeight','Bold');
text(2.9,2,'Delay Margin:      10.9s','FontSize',12,'FontWeight','Bold');
text(2.9,1.6,'Gain Margin:          2.04','FontSize',12,'FontWeight','Bold');
text(2.9,1.2,'Phase Margin:      60.3','FontSize',12,'FontWeight','Bold');

text(3,0.4,'T_{s} = 12 s','FontSize',12,'FontWeight','Bold');


axis([-2 7 -3.75 3.75])
% [Rp2,Sp2,nrp2,nsp2]=bezoutd(A,B,[1 -1],1,P2);
% 
% R2=Rp2;
% S2=conv([1- 1],Sp2);

% subplot(2,1,2)
% load RSTfig8
% sysOL2=filt(conv(B,R2),conv(A,S2),Ts);
% [rOL2,iOL2]=nyquist(sysOL2);
% plot(rOL2(:),iOL2(:));

figure
load fig_8_49_data
plot(nyquist_data(:,1),nyquist_data(:,2),'k','linewidth',2);
hold on
plot([-2 7],[0 0],'k');
plot([0 0],[-3.75 3.75],'k');
%plot(-1,0,'ko','linewidth',2)
unitcircle = line('XData',sin(t),'YData',cos(t),'LineStyle',':','Tag','CSTgridLines','HitTest','off','HandleVisibility','off','HelpTopicKey','isodampinggrid','linewidth',2)
title('Hot Dip Galvanizing : Nyquist Plot','FontSize',12,'FontWeight','Bold');
xlabel('Real Axis','FontSize',12,'FontWeight','Bold');
ylabel('Imag Axis','FontSize',12,'FontWeight','Bold');
text(-3,0,'b)','FontSize',12,'FontWeight','Bold');
text(0.5,-2,'Closed Loop Poles : {\alpha}_{1} = 0.2, {\alpha}_{2} = 0.3, {\alpha}_{i} = 0.1 i = 3,...,9','FontSize',12,'FontWeight','Bold');
text(-1.65,0.2,'(-1,j0)','FontSize',12,'FontWeight','Bold');

plot(-1,0,'k.','linewidth',20)

text(3.9,3.4,'Modulus margin: 0.52','FontSize',12,'FontWeight','Bold');
text(3.9,3.0,'Delay Margin:     25.7s','FontSize',12,'FontWeight','Bold');
text(3.9,2.6,'Gain Margin:         2.09','FontSize',12,'FontWeight','Bold');
text(3.9,2.2,'Phase Margin:         60','FontSize',12,'FontWeight','Bold');

text(4,1.4,'T_{s} = 12 s','FontSize',12,'FontWeight','Bold');

axis([-2 7 -3.75 3.75])