% data no saturation

load no_sat
measures=measures';
time_nosat=measures(:,1);
u_nosat=measures(:,3);
y_nosat=measures(:,4);
%ref_nosat=measures(:,2);

% data no antisaturation

load no_antisat
measures=measures';
time_antisat=measures(:,1);
u_antisat=measures(:,3);
y_antisat=measures(:,4);
%ref_antisat=measures(:,2);

% data static antisaturation

load antisat_stat
measures=measures';
time_antisat_stat=measures(:,1);
u_antisat_stat=measures(:,3);
y_antisat_stat=measures(:,4);
%ref_antisat_stat=measures(:,2);

% data  dynamic antisaturation case Tsat=0.48

load antisat_dyn1
measures=measures';
time_antisat_dyn1=measures(:,1);
u_antisat_dyn1=measures(:,3);
y_antisat_dyn1=measures(:,4);
%ref_antisat_dyn1=measures(:,2);

% data  dynamic antisaturation case Tsat=0.24

load antisat_dyn2
measures=measures';
time_antisat_dyn2=measures(:,1);
u_antisat_dyn2=measures(:,3);
y_antisat_dyn2=measures(:,4);
%ref_antisat_dyn2=measures(:,2);


time_ref=0:0.001:10.439;
ref=[zeros(1,960) 5*ones(1,4800) zeros(1,4680)]';


% plot2 commands

figure
subplot(2,1,2),hold on,grid on
%axis([0 time_nosat(end) min(u_nosat)-1 max(u_nosat)+1])
axis([0 10 -6 6])
plot(time_nosat,u_antisat_dyn1,'k-.','linewidth',2);
plot(time_nosat,u_antisat_dyn2,'k:','linewidth',2);
plot(time_nosat,u_antisat_stat,'k','linewidth',2);
title('Anti Saturation with a Specified Dynamics: Control Signal','FontSize',12,'FontWeight','Bold')
xlabel('Time (s), T_{s} = 0.12s','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
legend('T_{sat} = 4T_{s}','T_{sat} = 2T_{s}','T_{sat} = 0')

% plot2 outputs
subplot(2,1,1),hold on,grid on
%axis([0 time_nosat(end) min(y_nosat)-1 max(y_nosat)+1])
axis([0 10 -1 6])
title('Anti Saturation with a Specified Dynamics: Step Responses','FontSize',12,'FontWeight','Bold')
xlabel('Time (s), T_{s} = 0.12s','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
plot(time_nosat,y_antisat_dyn1,'k-.','linewidth',2);
plot(time_nosat,y_antisat_dyn2,'k:','linewidth',2);
plot(time_nosat,y_antisat_stat,'k','linewidth',2);
plot(time_ref,ref,'k');
legend('T_{sat} = 4T_{s}','T_{sat} = 2T_{s}','T_{sat} = 0','setpoint')